#include <iostream>
#include <cmath>
using namespace std;

int main()
{
	const double DENSITY = 10; // the density of the material
	const double PI = 3.1416; 
	
	double base = 0; // the base of the right triangle
	double height = 0; // the height of the right triangle
	double radius = 0; // the radius of the circle
	
	// user input
	cout << "Please input the base of the right triangle (in cm): "; 
	cin >> base;
	cout << "Please input the height of the right triangle (in cm): "; 
	cin >> height;
	cout << "Please input the radius of the circle (in cm): "; 
	cin >> radius;
	
	// calculate and output the result
	cout << "The weight of the right triangle is " << base * height * 2 * DENSITY << "g.\n";
	cout << "The weight of the circle is " << PI * pow(radius, 2) * 3 * DENSITY << "g.\n";
	cout << "The length of the hypotenuse of the right triangle is " << pow(pow(base, 2) + pow(height, 2), 0.5) << "cm.\n";
	
	return 0; 
}
